CREATE TABLE fnd_bpm_task_attributes_b (
    TASK_ATTRIBUTE_ID                NUMBER(18, 0) ,
    MAX_ROLL_DAYS_ATTR_NAME          VARCHAR2(120) ,
    CURRENCY_CONV_TYPE_ATTR_NAME     VARCHAR2(120) ,
    TASK_ATTRIBUTE_NAME              VARCHAR2(320) ,
    TASK_COMPOSITE_ID                NUMBER(18, 0)     NOT NULL,
    TASK_DEFINITION_NAME             VARCHAR2(320)     NOT NULL,
    LINK_VALUE                       VARCHAR2(4000),
    PARENT_ATTRIBUTE_NAME            VARCHAR2(320) ,
    ATTRIBUTE_TYPE                   VARCHAR2(320)     NOT NULL,
    ATTRIBUTE_DATA_TYPE              VARCHAR2(160) ,
    ATTRIBUTE_USAGE                  VARCHAR2(1600),
    FACT_NAME                        VARCHAR2(320) ,
    FACT_NAME_SPACE                  VARCHAR2(1600),
    FACT_CARDINALITY                 VARCHAR2(160) ,
    CURRENCY_CODE_ATTRIBUTE          VARCHAR2(320) ,
    OLD_VALUE_TASK_ATTRIBUTE_NAME    VARCHAR2(320) ,
    TL_LOOKUP_SQL                    VARCHAR2(4000),
    OLD_VALUE_TL_LOOKUP_SQL          VARCHAR2(4000),
    SECURED_BY                       VARCHAR2(1600),
    ATTRIBUTE_RESOURCE_BUNDLE        VARCHAR2(1600),
    ATTRIBUTE_RESOURCE_KEY           VARCHAR2(800) ,
    FLEX_BASE_LOCATOR                VARCHAR2(800) ,
    IS_SECURED                       VARCHAR2(4)   ,
    IS_RATE_DATE                     VARCHAR2(4)   ,
    IS_SEARCHABLE                    VARCHAR2(4)       NOT NULL,
    IS_LIST                          VARCHAR2(4)       NOT NULL,
    IS_DISPLAYABLE                   VARCHAR2(4)   ,
    IS_RECOMMENDABLE                 VARCHAR2(4)   ,
    IS_FREQUENTLY_USED               VARCHAR2(4)   ,
    IS_USER_APPROVER                 VARCHAR2(4)   ,
    IS_NULLABLE                      VARCHAR2(4)   ,
    LOV_SERVICE_REFERENCE            VARCHAR2(2048),
    LOV_SERVICE_SELF_LINK            VARCHAR2(2048),
    LOV_SERVICE_LIST_LINK            VARCHAR2(2048),
    LOV_KEY_LIST_LINK                VARCHAR2(2048),
    LOV_DISPLAY_FIELDS               VARCHAR2(800) ,
    LOV_KEY_FIELD                    VARCHAR2(800) ,
    LOV_VALUE_FIELD                  VARCHAR2(800) ,
    LOV_PRESENTABLE_FIELDS           VARCHAR2(800) ,
    VOATTRIBUTE_NAME                 VARCHAR2(800) ,
    DATA_COLLECTION_SQL              CLOB          ,
    DATA_COLLECTION_METADATA         CLOB          ,
    GROUP_NAME                       VARCHAR2(320) ,
    GROUP_RES_BUNDLE_NAME            VARCHAR2(1600),
    GROUP_RES_BUNDLE_KEY             VARCHAR2(800) ,
    FLEX_TYPE                        VARCHAR2(80)  ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    ENTERPRISE_ID                    NUMBER(18, 0)     NOT NULL,
    SGUID                            VARCHAR2(128) ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    CURRENCY_CONVERSION_DATE         VARCHAR2(320) ,
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    TASK_ATTRIBUTE_ID                NUMBER(18, 0) ,
    TASK_ATTRIBUTE_NAME              VARCHAR2(320) ,
    TASK_COMPOSITE_ID                NUMBER(18, 0)     NOT NULL,
    TASK_DEFINITION_NAME             VARCHAR2(320)     NOT NULL,
    PARENT_ATTRIBUTE_NAME            VARCHAR2(320) ,
    ATTRIBUTE_TYPE                   VARCHAR2(320)     NOT NULL,
    IS_SEARCHABLE                    VARCHAR2(4)       NOT NULL,
    IS_LIST                          VARCHAR2(4)       NOT NULL,
    IS_DISPLAYABLE                   VARCHAR2(4)   ,
    IS_RECOMMENDABLE                 VARCHAR2(4)   ,
    IS_FREQUENTLY_USED               VARCHAR2(4)   ,
    ENTERPRISE_ID                    NUMBER(18, 0)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    SGUID                            VARCHAR2(128) ,
    OLD_VALUE_TASK_ATTRIBUTE_NAME    VARCHAR2(320) ,
    TL_LOOKUP_SQL                    VARCHAR2(4000),
    OLD_VALUE_TL_LOOKUP_SQL          VARCHAR2(4000),
    CURRENCY_CODE_ATTRIBUTE          VARCHAR2(320) ,
    ATTRIBUTE_DATA_TYPE              VARCHAR2(160) ,
    ATTRIBUTE_USAGE                  VARCHAR2(1600),
    FACT_NAME                        VARCHAR2(320) ,
    SECURED_BY                       VARCHAR2(1600),
    ATTRIBUTE_RESOURCE_BUNDLE        VARCHAR2(1600),
    ATTRIBUTE_RESOURCE_KEY           VARCHAR2(800) ,
    FLEX_BASE_LOCATOR                VARCHAR2(800) ,
    IS_SECURED                       VARCHAR2(4)   ,
    IS_RATE_DATE                     VARCHAR2(4)   ,
    IS_USER_APPROVER                 VARCHAR2(4)   ,
    LOV_SERVICE_REFERENCE            VARCHAR2(2048),
    LOV_SERVICE_SELF_LINK            VARCHAR2(2048),
    LOV_SERVICE_LIST_LINK            VARCHAR2(2048),
    LOV_DISPLAY_FIELDS               VARCHAR2(800) ,
    LOV_KEY_FIELD                    VARCHAR2(800) ,
    LOV_VALUE_FIELD                  VARCHAR2(800) ,
    LOV_PRESENTABLE_FIELDS           VARCHAR2(800) ,
    CURRENCY_CONVERSION_DATE         VARCHAR2(320) ,
    FACT_NAME_SPACE                  VARCHAR2(1600),
    VOATTRIBUTE_NAME                 VARCHAR2(800) ,
    FLEX_TYPE                        VARCHAR2(80)  ,
    FACT_CARDINALITY                 VARCHAR2(160) ,
    IS_NULLABLE                      VARCHAR2(4)   ,
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    DATA_COLLECTION_SQL              CLOB          ,
    GROUP_NAME                       VARCHAR2(320) ,
    GROUP_RES_BUNDLE_NAME            VARCHAR2(1600),
    GROUP_RES_BUNDLE_KEY             VARCHAR2(800) ,
    DATA_COLLECTION_METADATA         CLOB          ,
    LINK_VALUE                       VARCHAR2(4000),
    LOV_KEY_LIST_LINK                VARCHAR2(2048),
    MAX_ROLL_DAYS_ATTR_NAME          VARCHAR2(120) ,
    CURRENCY_CONV_TYPE_ATTR_NAME     VARCHAR2(120) ,
    CONSTRAINT pk_fnd_bpm_task_attributes_b PRIMARY KEY (TASK_ATTRIBUTE_ID, TASK_ATTRIBUTE_NAME, TASK_ATTRIBUTE_ID, TASK_ATTRIBUTE_NAME)
);
